LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 09-11-2005, 05:17 PM   #1
arpanet1969
LQ Newbie
 
Registered: Dec 2004
Location: On your SQL server.
Distribution: Mandrivia Linux 10.1
Posts: 25

Rep: Reputation: 15
Updating software


I've just downloaded the latest version of wxPython (because I need it to run Boa Construstor). Anyway, I installed the 2 RPM's needed for my distro, Mandrivia Linux 10.1, and Boa still had the same problem (couldnt start because my wxPython was too old),

Anyway, I used the following commands to remove the old wxPython installations:


Code:
rpm -e wxPython

rpm -e libwxPythonGTK2.5_3-devel-2.5.3.1-3.1.102mdk
THEN I re-ran the 2 downloaded RPM's (with the latest version of wxPython) just incase I knocked out anything that I needed. I got the message "Everything already installed'. So I thought "woo hoo" and re-ran Boa.py... only to find it's still not working, it's still looking for the old version of wxPython.

What am I missing?

Any help will be greatly appreciated!

Arpanet.

P.S. just so you know I was upgrading wxPython from 2.4 to 2.6

Last edited by arpanet1969; 09-11-2005 at 05:18 PM.
 
Old 09-11-2005, 10:09 PM   #2
bigrigdriver
LQ Addict
 
Registered: Jul 2002
Location: East Centra Illinois, USA
Distribution: Debian stable
Posts: 5,908

Rep: Reputation: 354Reputation: 354Reputation: 354Reputation: 354
Sounds like the problem is Boa; it's looking for an older version of wxPython.

My suggestion: get the latest .src.rpm for Boa, and compile your own binary, installable rpm from that (with the new wxPython you've just installed).
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Error after updating Software! sitmex Linux - Newbie 0 07-04-2005 09:38 PM
Updating Linux, which software? asaba Linux - Software 3 03-02-2005 07:34 AM
Need clarification on updating software vbmark Mandriva 2 12-15-2004 03:58 PM
Updating non-Mandrake software vfulco Linux - Newbie 4 05-20-2004 04:43 PM
Updating and installing software in 10.0 hahler2 Mandriva 2 03-15-2004 10:39 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:04 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration